Bug 72051 - up2date will ignore a versionOverride option.
Summary: up2date will ignore a versionOverride option.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: up2date   
(Show other bugs)
Version: limbo
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-20 21:40 UTC by Ivo Sarak
Modified: 2015-01-07 23:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-20 22:22:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivo Sarak 2002-08-20 21:40:59 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
There is a option for overriding the system version but for some reason it is
completely ignored.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run 'up2date-nox --configure' as root;
2.choose 15;
3.type in a random string;
4.run 'up2date-nox -u' 
	

Actual Results:  
[root@machine root]# up2date-nox --configure
0.  networkSetup       Yes
1.  noReplaceConfig    No
2.  enableRollbacks    No
3.  noBootLoader       No
4.  storageDir         /var/spool/up2date
5.  adminAddress       ['root@localhost']
6.  pkgSkipList        []
7.  serverURL          https://www.rhns.redhat.com/XMLRPC
8.  fileSkipList       []
9.  sslCACert          /usr/share/rhn/RHNS-CA-CERT
10. retrieveOnly       No
11. useNoSSLForPackage No
12. systemIdPath       /etc/sysconfig/rhn/systemid
13. enableProxyAuth    No
14. retrieveSource     No
15. versionOverride
16. verbose            No
17. networkRetries     5
18. headerFetchCount   10
19. enableProxy        No
20. proxyPassword
21. noSSLServerURL     http://www.rhns.redhat.com/XMLRPC
22. keepAfterInstall   No
23. proxyUser
24. removeSkipList     []
25. useGPG             Yes
26. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
27. debug              No
28. httpProxy
29. headerCacheSize    40
30. forceInstall       No


Enter number of item to edit <return to exit, q to quit without saving>: 15
Attribute Name: versionOverride
Comment: Override the automatically determined system version
Current value:
    <return for default, enter two spaces and return to clear>
New Value: jabadaba
0.  networkSetup       Yes
1.  noReplaceConfig    No
2.  enableRollbacks    No
3.  noBootLoader       No
4.  storageDir         /var/spool/up2date
5.  adminAddress       ['root@localhost']
6.  pkgSkipList        []
7.  serverURL          https://www.rhns.redhat.com/XMLRPC
8.  fileSkipList       []
9.  sslCACert          /usr/share/rhn/RHNS-CA-CERT
10. retrieveOnly       No
11. useNoSSLForPackage No
12. systemIdPath       /etc/sysconfig/rhn/systemid
13. enableProxyAuth    No
14. retrieveSource     No
15. versionOverride    jabadaba
16. verbose            No
17. networkRetries     5
18. headerFetchCount   10
19. enableProxy        No
20. proxyPassword
21. noSSLServerURL     http://www.rhns.redhat.com/XMLRPC
22. keepAfterInstall   No
23. proxyUser
24. removeSkipList     []
25. useGPG             Yes
26. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
27. debug              No
28. httpProxy
29. headerCacheSize    40
30. forceInstall       No


Enter number of item to edit <return to exit, q to quit without saving>:


[root@machine root]# up2date-nox -u

Fetching package list for channel: redhat-beta-limbo-i386...
########################################

Fetching Obsoletes list for channel: redhat-beta-limbo-i386...
########################################
None of the packages you requested were found, or they are already updated.
[root@machine root]#

Expected Results:  
Something like "There is no such channel 'jabadaba' available on
RHN."

Additional info:

[root@machine root]# rpm -qa &grep up2date
up2date-2.9.40-7.x.9
[root@machine root]#

Comment 1 Adrian Likins 2002-08-20 22:22:20 UTC
hmm, indeed

Comment 2 Adrian Likins 2002-08-22 19:21:54 UTC
should be fixed in 2.9.54


Note You need to log in before you can comment on or make changes to this bug.